<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class IsPinnedTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('is_pinned')
            ->label('سنجاق')
            ->sortable()
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
